# xighlight

xighlight -- Program for highlighting program output, source code and various text files in terminal.

- Everything related to my libraries is clean of all warning options on Clang, GCC and Valgrind.
- You can easily add new syntax support with it, for your own language or some that I didn't include.
- There are 2 ways to use this program, you can see them below, or use -h / --help to see it.

Compile:
```bash
$ sh compile.sh
```

Install:
```bash
$ sudo sh install.sh
```

Use:
```bash
$ xighlight my_program.ext                   -- "This way, language is selected by the extension."
$ cat my_program.ext | xighlight [extension] -- "You need to specify the language, check -h / --help."
$ xighlight [extension] < my_program.ext     -- "Again, since it's reading from standard stream..."
```

Currently supported programming and scripting languages are:
- C, Ada, C++, assembly, Flat assembly, Fortran, shell.

![screenshot](screenshot.png)
